### Enumeration

# Adw LengthUnit

since: 1.4

#### Declaration

    enum Adw.LengthUnit

#### Description [src]

Describes length units.

Unit | Regular Text | Large Text
--- | --- | ---
1px | 1px | 1px
1pt | 1.333333px | 1.666667px
1sp | 1px | 1.25px

New values may be added to this enumeration over time.

Available since: 1.4

#### Members

`ADW_LENGTH_UNIT_PX`

  Pixels.

  - Value: `0`
  - Nickname: `px`
  - Available since: 1.4
`ADW_LENGTH_UNIT_PT`

  Points, changes with text scale factor.

  - Value: `1`
  - Nickname: `pt`
  - Available since: 1.4
`ADW_LENGTH_UNIT_SP`

  Scale independent pixels, changes with text scale factor.

  - Value: `2`
  - Nickname: `sp`
  - Available since: 1.4

#### Type functions

###### adw_length_unit_from_px

Converts `value` from pixels to `unit`.

since: 1.4

###### adw_length_unit_to_px

Converts `value` from `unit` to pixels.

since: 1.4